<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_NoDaysDeduction_Configuration, App_Web_p0v2gmgg" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">

    <script type="text/javascript" language="javascript" src="../js/LateDeduction.js"></script>

    <script type="text/javascript" language="javascript" src="../js/ArmisDeduction.js"></script>

    <script type="text/javascript" language="javascript" src="../js/WorkHrsDeduction.js"></script>

    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>

    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>

    <script type="text/javascript">
        var EnterAllthethree = "Enter all the three OT Roundoff values";
        var NoDetails = "No Details found!";
        function AddControlsForLate() {
            ajaxLateDeduction(EnterAllthethree, NoDetails);
            return false;
        }
        function AddControlsForArmis() {
            ajaxArmisDeduction(EnterAllthethree, NoDetails);
            return false;
        }
        function AddControlsForWorkhrs() {
            ajaxWorkHrsDeduction(EnterAllthethree, NoDetails);
            return false;
        }
    </script>

    <div class="content-header">
        <h1 style="background-image: url('../dist/img/shift-pattern.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server" Text="Configuration for No. Of Days Deduction"></asp:Label>
            <asp:HiddenField ID="hdfLateEntry" runat="server" />
            <asp:HiddenField ID="hdfArmis" runat="server" />
            <asp:HiddenField ID="hdfWorkHrs" runat="server" />
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row" style="min-height: 30px">
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group" style="margin-left: -20px; margin-right: -20px">
                    <div class="config-hdr">
                        <div class="row">
                            <div class="col-md-12">
                                <h3>
                                    <asp:Label ID="lblLateConfig" runat="server" Text="Total Late Entry Hours"></asp:Label>
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div id="divOTParameter" runat="server">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <table id="tblOTParameter" width="100%" class="table das-table1">
                                        <tr class="empheader">
                                            <td>
                                                <asp:Label ID="lblStartTime" runat="server" Text="Start Time(HH:mm)"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblEndTime" runat="server" Text="End Time(HH:mm)"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblRoundedAs" runat="server" Text="Days"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtLateIN1" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN1').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN2" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN2').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue1" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN3" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN3').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN4" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN4').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue2" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtLateIN5" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN5').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN6" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN6').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue3" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN7" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN7').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN8" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN8').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue4" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtLateIN9" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN9').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN10" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN10').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue5" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN11" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN11').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateIN12" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtLateIN12').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtLateInValue6" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row form-group" style="margin-left: -20px; margin-right: -20px; margin-bottom: 0px; display: none;">
                    <div class="config-hdr">
                        <div class="row">
                            <div class="col-md-12">
                                <h3>
                                    <asp:Label ID="Label4" runat="server" Text="Armis Entry"></asp:Label>
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-12">
                            <div id="div1" runat="server">
                                <table id="Table1" width="100%" class="table das-table1">
                                    <tr style="background: #f0faff none repeat scroll 0 0">
                                        <td>
                                            <asp:Label ID="Label5" runat="server" Text="Start Time(HH:mm)"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:Label ID="Label7" runat="server" Text="End Time(HH:mm)"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:Label ID="Label9" runat="server" Text="Days "></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:TextBox ID="TxtArmis1" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis1').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmis2" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis2').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmisValue1" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr style="background: #f0faff none repeat scroll 0 0">
                                        <td>
                                            <asp:TextBox ID="TxtArmis3" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis3').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmis4" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis4').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmisValue2" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:TextBox ID="TxtArmis5" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis5').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmis6" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis6').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmisValue3" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr style="background: #f0faff none repeat scroll 0 0">
                                        <td>
                                            <asp:TextBox ID="TxtArmis7" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis7').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmis8" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis8').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmisValue4" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:TextBox ID="TxtArmis9" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis9').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmis10" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                            <script type="text/javascript">
                                                $(function () {
                                                    $('#ctl00_BodyContentPH_TxtArmis10').datetimepicker({ format: 'HH:mm' });
                                                });
                                            </script>

                                        </td>
                                        <td>
                                            <asp:TextBox ID="TxtArmisValue5" runat="server" CssClass="form-control" onCut="return false"
                                                onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row form-group" style="margin-left: -20px; margin-right: -20px; margin-bottom: 0px">
                    <div class="config-hdr">
                        <div class="row">
                            <div class="col-md-12">
                                <h3>
                                    <asp:Label ID="Label11" runat="server" Text="ARMIS/Total Work Hours (Deviated Work Hours)"></asp:Label>
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-md-12">
                            <div class="row form-group">
                                <div id="div2" runat="server">
                                    <table id="Table2" width="100%" class="table das-table1">
                                        <tr class="empheader">
                                            <td>
                                                <asp:Label ID="Label12" runat="server" Text="Start Time(HH:mm)"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label14" runat="server" Text="End Time(HH:mm)"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label16" runat="server" Text="Days"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs1" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs1').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs2" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs2').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue1" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs3" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs3').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs4" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs4').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue2" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs5" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs5').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs6" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs6').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue3" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs7" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs7').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs8" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs8').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue4" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr style="background: #f0faff none repeat scroll 0 0">
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs9" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs9').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs10" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs10').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue5" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs11" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs11').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrs12" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>

                                                <script type="text/javascript">
                                                    $(function () {
                                                        $('#ctl00_BodyContentPH_TxtWorkHrs12').datetimepicker({ format: 'HH:mm' });
                                                    });
                                                </script>

                                            </td>
                                            <td>
                                                <asp:TextBox ID="TxtWorkHrsValue6" runat="server" CssClass="form-control" onCut="return false"
                                                    onpaste="return true" MaxLength="5" onDrop="return false"></asp:TextBox>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_Save" Text="&nbsp;&nbsp;Save" CssClass="btn save-btn fa-floppy-o"
                                        runat="server" OnClick="btn_Save_Click" OnClientClick="return confirm('Are you sure to Save ?');return false;" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
